Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class JoinInfo

    java.lang.Object
      jet.api.JoinInfo

    public class JoinInfo

extends java.lang.Object

Class JoinInfo defines a Join definition of a JReport query.

Field Summary
`static int` | `LEFTOUTER` flag of outer join type
`static int` | `RIGHTOUTER` flag of outer join type

Constructor Summary
`JoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Constructs a Join definition of a JReport query.
`JoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` Constructs a Join definition of a JReport query.

Method Summary
`void` | `addJoinConditions(java.util.Vector<ExpressionInfo> conditions)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getColumnFrom()` Gets the name of the column from which the join links.
`java.lang.String` | `getColumnTo()` Gets the name of the column to which the join links.
`java.lang.String` | `getConditionLogic()`
`java.util.Vector<ExpressionInfo>` | `getJoinConditions()`
`java.lang.String` | `getOperator()` Gets the operator of the join.
`int` | `getOuterJoinType()` Gets the outer join type.
`java.lang.String` | `getTableFrom()` Gets the name of the table from which the join links.
`java.lang.String` | `getTableTo()` Gets the name of the table to which the join links.
`boolean` | `isSQL92()` Indicates whether or not the SQL92 standard will be applied to the join sentence.
`void` | `setColumnFrom(java.lang.String columnFrom)` Sets the name of the column from which the join links.
`void` | `setColumnTo(java.lang.String columnTo)` Sets the name of the column from which the join links.
`void` | `setConditionLogic(java.lang.String conditionLogic)`
`void` | `setIsSQL92(boolean isSQL92)` Indicates whether or not to apply SQL92 standard to the join sentence.
`void` | `setOperator(java.lang.String operator)` Sets the operator of the join.
`void` | `setOuterJoinType(int outerJoin)` Sets the join type of the outer join.
`void` | `setTableFrom(java.lang.String tableFrom)` Sets the name of the table from which the join links.
`void` | `setTableTo(java.lang.String tableTo)` Sets the name of the table to which the join links.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFTOUTER

    public static final int LEFTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

### RIGHTOUTER

    public static final int RIGHTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

Constructor Detail

### JoinInfo

    public JoinInfo(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo)

  Constructs a Join definition of a JReport query.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join .
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.

### JoinInfo

    public JoinInfo(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo,
                    boolean isSQL92,
                    int outerJoin)

  Constructs a Join definition of a JReport query.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join .
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.
    `isSQL92` - Indicates whether or not to apply SQL92 standard to the join sentence. There are two kinds of join formats: SQL92 and Use'+'.
    The property is moved to JDBC connection.
    `outerJoin` - Indicates the join type of the outer join. An outer join preserves these records in the result and replaces the missing values with nulls. JReport calls the join left (right) outer join if the records in the left (right) side table are preserved.
  See Also:
    `LEFTOUTER`, `RIGHTOUTER`

Method Detail

### getConditionLogic

    public java.lang.String getConditionLogic()

### setConditionLogic

    public void setConditionLogic(java.lang.String conditionLogic)

### addJoinConditions

    public void addJoinConditions(java.util.Vector<ExpressionInfo> conditions)

### getJoinConditions

    public java.util.Vector<ExpressionInfo> getJoinConditions()

### getTableFrom

    public java.lang.String getTableFrom()

  Gets the name of the table from which the join links.

  Returns:
    name of the table.

### getColumnFrom

    public java.lang.String getColumnFrom()

  Gets the name of the column from which the join links.

  Returns:
    name of the column.

### getOperator

    public java.lang.String getOperator()

  Gets the operator of the join.

  Returns:
    operator's value.

### getTableTo

    public java.lang.String getTableTo()

  Gets the name of the table to which the join links.

  Returns:
    name of the table.

### getColumnTo

    public java.lang.String getColumnTo()

  Gets the name of the column to which the join links.

  Returns:
    name of the column.

### setTableFrom

    public void setTableFrom(java.lang.String tableFrom)

  Sets the name of the table from which the join links.

  Parameters:
    `tableFrom` - The name of the table from which the join links.

### setColumnFrom

    public void setColumnFrom(java.lang.String columnFrom)

  Sets the name of the column from which the join links.

  Parameters:
    `columnFrom` - The name of the column from which the join links.

### setOperator

    public void setOperator(java.lang.String operator)

  Sets the operator of the join.

  Parameters:
    `operator` - The operator's String value.

### setTableTo

    public void setTableTo(java.lang.String tableTo)

  Sets the name of the table to which the join links.

  Parameters:
    `tableTo` - The name of the table to which the join links.

### setColumnTo

    public void setColumnTo(java.lang.String columnTo)

  Sets the name of the column from which the join links.

  Parameters:
    `columnTo` - The name of the column from which the join links.

### setIsSQL92

    public void setIsSQL92(boolean isSQL92)

  Indicates whether or not to apply SQL92 standard to the join sentence.

  Parameters:
    `isSQL92` - Indicates whether or not to apply SQL92 standard to the join sentence.

### isSQL92

    public boolean isSQL92()

  Indicates whether or not the SQL92 standard will be applied to the join sentence.

  Returns:
    `false` if the SQL92 standard will be applied to the join sentence; `false` otherwise.

### setOuterJoinType

    public void setOuterJoinType(int outerJoin)

  Sets the join type of the outer join.

  Parameters:
    `outerJoin` - The type of the outer join.
  See Also:
    `LEFTOUTER`, `RIGHTOUTER`

### getOuterJoinType

    public int getOuterJoinType()

  Gets the outer join type.

  Returns:
    type of the outer join.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD